<?
define('_IN_JOHNCMS', 1);

$rootpath = '../../';
require_once ("../../incfiles/core.php");
require_once ("../../incfiles/head.php");

echo "<div class='phdr'>Предсказатель будущего</div>";

function form()
{

    $file = file_get_contents("temp/future.tmp");
    $out = intval($file);

    echo '<form method="post" action="?">
<div class="menu">Заполните форму:<br/>
1. Напиши число от 1 до 9: <br/>
<input type="text" name="a" value=""/><br/>
2. Напиши имя человека, который тебе очень нравится:<br/>
<input type="text" name="b" value=""/><br/>
3. Напиши цвет:<br/>
<input type="text" name="c" value=""/><br/>
4. Напиши имена двух людей, с которыми ты работаешь/учишься:<br/>
<input type="text" name="d" value=""/><br/>
5. А теперь загадай желание...<br/>
<input type="text" name="e" value=""/><br/><hr />
Последующие сообщение - это твое будущее. Будь готов к тому, что твоя жизнь изменится прямо сейчас!</div>
<div class="bmenu">
<input type="submit" name="submit" value="Узнать будущее"/></div></form>
<div class="gmenu">Уже узнали: ' . $out . ' раз(a)</div>';
}

if (isset($_POST['submit'])) {
    $name = intval($_POST['a']);
    $chel = trim($_POST['b']);
    $strana = trim($_POST['c']);
    $chel2 = trim($_POST['d']);
    $mat = trim($_POST['e']);

    if (empty($name) or empty($chel) or empty($strana) or empty($chel2) or empty($mat))
        $error = $error . 'Не заполнены поля!<br/>';
    if (mb_strlen($chel) > 30 or mb_strlen($strana) > 30 or mb_strlen($chel2) > 30 or
        mb_strlen($mat) > 100)
        $error = $error . 'Недопустимая длина<br />';


    if (empty($error)) {

        $file = file_get_contents("temp/future.tmp");
        $out = intval($file + 1);

        echo '<div class="rmenu">'.$name . ' - это сколько раз следует постучать тебе по голове дубинкой за то, что ты думаешь, что эти тупые тесты что-то означают!</div><div class="rmenu">' . $chel . ' - это человек, который никогда не будет спать с тобой, потому что ты тратишь время на тесты подобного рода.</div><div class="rmenu">То, что ты выбрал ' . $strana . ' цвет, ничего не значит. Дурацкий цвет!</div><div class="rmenu">' . $chel2 . ' - это люди, которые стесняются того, что знают тебя.</div><div class="rmenu">
Пошли это всем, кого ты знаешь, чтобы они тоже почувствовали себя облагодетельствованными. Если ты не пошлешь этот тест по крайней мере 40 000 людям в течение следующих 4 секунд, тогда не только не сбудется твое желание "' .
            $mat . '", но на тебя еще и нападет бешенная коза!<br />
А теперь возвращайся поскорей к своим делам!!!</div>';

        //Запись
        $fp_send = fopen("temp/future.tmp", "w");
        flock($fp_send, LOCK_EX);
        fputs($fp_send, $out);
        flock($fp_send, LOCK_UN);
        fclose($fp_send);
        chmod("temp/future.tmp", 0666);

    } else {

        echo functions::display_error($error);
        form();
    }
} else {

    echo '<div class="gmenu">Это экспресс-предсказатель, который расскажет, как развернется твоя жизнь в ближайшие несколько лет. А теперь, пожалуйста, отвечай честно и следуй своим первым инстинктам.</div>';
    form();
}
echo '<div class="menu"><a href="../?act=test">Еще тесты</a><br /><a href="../?">В раздел</a></div>';

require_once ("../../incfiles/end.php");
?>